module Level ( Level(..)
             , testLevel
             ) where

import Data.List

import Debris

data Level = Level
    { levelWidth  :: !Int
    , levelHeight :: !Int
    , debris      :: ![SomeDebris]
    } deriving (Show)



testLevel :: Level
testLevel = Level
            { levelWidth = 14
            , levelHeight = 8
            , debris = []
            }
